Package org.apache.activemq.artemis.jms.server.config.impl

## Class TransportConfigurationEncodingSupport

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.TransportConfigurationEncodingSupport

-     public class TransportConfigurationEncodingSupport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransportConfigurationEncodingSupport()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransportConfiguration` | `decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `static java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>>` | `decodeConfigs​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `static void` | `encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer, TransportConfiguration config)` |
    `static void` | `encodeConfigs​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer, java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>> configs)` |
    `static int` | `getEncodeSize​(java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>> configs)` |
    `static int` | `getEncodeSize​(TransportConfiguration config)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportConfigurationEncodingSupport

          public TransportConfigurationEncodingSupport()

  - ### Method Detail

    - #### decodeConfigs

          public static java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>> decodeConfigs​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

    - #### decode

          public static TransportConfiguration decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

    - #### encodeConfigs

          public static void encodeConfigs​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer,
                                           java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>> configs)

    - #### encode

          public static void encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer,
                                    TransportConfiguration config)

    - #### getEncodeSize

          public static int getEncodeSize​(TransportConfiguration config)

    - #### getEncodeSize

          public static int getEncodeSize​(java.util.List<org.apache.activemq.artemis.api.core.Pair<TransportConfiguration,​TransportConfiguration>> configs)